This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 855854

Summary: microcode "patch size mismatch" with amd e-350
Product: [Fedora] Fedora Reporter: Oliver Henshaw <oliver.henshaw>
Component: kernelAssignee: Anton Arapov <anton>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: unspecified    
Version: 16CC: anton, gansalmon, itamar, jforbes, jonathan, kernel-maint, madhu.chinakonda, nobody
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: 3.4.11-1.fc16.x86_64 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-09-14 02:31:07 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Oliver Henshaw 2012-09-10 08:01:36 EDT
Description of problem:

I see warnings about microcode updates at boot:

# dmesg | grep -i micro
[    3.153152] [drm] Loading PALM Microcode
[   23.352124] microcode: CPU0: patch_level=0x05000026
[   23.359931] microcode: patch size mismatch
[   23.359987] microcode: CPU1: patch_level=0x05000026
[   23.368828] microcode: patch size mismatch
[   23.369013] microcode: Microcode Update Driver: v2.00 <tigran@aivazian.fsnet.co.uk>, Peter Oruba

though there are no apparent ill effects.


Hardware:

AMD E-350 in an Asus E35M1-M motherboard


Version-Release number of selected component (if applicable):

microcode_ctl-1.17-25.fc16.x86_64
kernel-3.3.0-8.fc16.x86_64
kernel-3.4.9-1.fc16.x86_64
kernel-3.4.9-2.fc16.x86_64
Comment 1 Anton Arapov 2012-09-12 02:28:11 EDT
Oliver, are you sure your amd microcode file is not malformed? did you try to reinstall microcode_ctl package?

$ md5sum /lib/firmware/amd-ucode/*
4a83915c7e8f6d394e748c3bed1d0961  microcode_amd.bin
34496f1b22be4ef8fa04e4c943a19ec6  microcode_amd_fam15h.bin

Could you please execute the command above and compare the checksums please?

Your problem seems weird to me, I'd also ask- have you experienced broken archives(e.g. *zip,*bz2,et al) on your system that aren't supposed to be broken?
Comment 2 Anton Arapov 2012-09-12 02:32:58 EDT
And did you copy pasted *all* the output from " # dmesg | grep -i micro " ?? Have you seen "microcode: CPU0: updated (new patch_level=...)" line around?
Comment 3 Oliver Henshaw 2012-09-13 13:41:57 EDT
The microcode files check out fine with both md5sum and 'rpm -qV'; I haven't noticed any problems with archives, but then again I don't make much use of them on this system (apart from installing rpms); and, yes, that was all the grepped output.

I've also tested the fedora (kde) livecds: F16 (kernel-3.1.0-7.fc16.x86_64, microcode_ctl-1:1.17-18.fc16.x86_64) has no problems but F17 (kernel-3.3.4-5.fc17.x86_64, microcode_ctl-1:1.17-24.fc17.x86_64).

I then tried downgrading packages on the installed system. Downgrading microcode_ctl to the F16 release version makes no difference, but downgrading the kernel does fix it:

[   20.583961] microcode: CPU0: patch_level=0x05000026
[   20.595014] microcode: CPU0: new patch_level=0x05000028
[   20.601858] microcode: CPU1: patch_level=0x05000026
[   20.607016] microcode: CPU1: new patch_level=0x05000028

(pasted from /var/log/messages this time)

So the bug appears between kernel-3.1.0-7.fc16.x86_64 and kernel-3.3.0-8.fc16.x86_64.
Comment 4 Justin M. Forbes 2012-09-13 13:55:21 EDT
What about F17 with the 3.5.3 kernel?
Comment 5 Justin M. Forbes 2012-09-13 15:02:56 EDT
Actually scratch that, the fix is upstream, and will make our next kernel release.
Comment 6 Anton Arapov 2012-09-14 02:31:07 EDT
Thanks Justin, CLOSING it then....
Comment 7 Fedora Update System 2012-09-17 15:18:16 EDT
kernel-3.5.4-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/kernel-3.5.4-1.fc17
Comment 8 Fedora Update System 2012-09-21 20:05:37 EDT
kernel-3.5.4-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Oliver Henshaw 2012-09-22 11:14:31 EDT
Confirmed fixed in kernel-3.4.11-1.fc16.x86_64:

[   19.475331] microcode: CPU0: patch_level=0x05000026
[   19.499487] microcode: CPU0: new patch_level=0x05000028
[   19.499649] microcode: CPU1: patch_level=0x05000026
[   19.513497] microcode: CPU1: new patch_level=0x05000028
[   19.513586] microcode: Microcode Update Driver: v2.00 <tigran@aivazian.fsnet.co.uk>, Peter Oruba